
/* BASIC */

@import url("https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap");

:root{
    --corporative-color: rgb(0, 66, 116); /* #2CACE2; #696cff;*/
    --corporative-color-light:rgba(0, 66, 116,.16);
    --corporative-color-disabled:rgba(0, 66, 116,.8);
    --corporative-color-text: #566a7f;
    --corporative-color-hover: #4B6C91 !important;
    --corporative-color-dark: #212121 !important;
    --corporative-color-title: #212121 !important;
}

html {
    background-color: #56baed;
}
  
body {
    font-family: "Public Sans", sans-serif;
    height: 100vh;
}

a {
    color: #92badd;
    display:inline-block;
    text-decoration: none;
    font-weight: 400;
}

h2 {
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    display:inline-block;
    margin: 40px 8px 10px 8px; 
    color: #cccccc;
}
    
.sf-toolbar {
    display: none !important;
}

/* STRUCTURE */

.wrapper {
    display: block;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    height: 100vh;
    padding: 20px;
    overflow: hidden;
}

    .wrapper .content-table {
        height: 100%;
        display: table;
        width: 100%;
    }

    .wrapper .content-table-cell {
        display: table-cell;
        vertical-align: middle;
    }


/* TABS */

h2.inactive {
    color: #cccccc;
}

h2.active {
    color: #0d0d0d;
    border-bottom: 2px solid #5fbae9;
}

input[type=text], input[type=password]  {
    /* background-color: #f6f6f6; */
    background: var(--corporative-color-light) !important;
    border: none;
    color: #0d0d0d;
    text-align: center;
    display: inline-block;
    border: none;
    color: var(--corporative-color-dark) !important;
    border-radius: 0;
    padding-left: 0;
    border-bottom: 1px solid var(--corporative-color-dark);
    width: 240px;
    /* background: transparent; */
    font-family: 'Nunito', sans-serif !important;
    box-shadow: none !important;
}

input[type=text]:focus, input[type=password]:focus {
    background-color: #fff;
    background-color: var(--corporative-color-light) !important;

}

input[type=text]:placeholder, input[type=password]:placeholder {
    color: #cccccc;
}



/* ANIMATIONS */

/* Simple CSS3 Fade-in-down Animation */
.fadeInDown {
-webkit-animation-name: fadeInDown;
animation-name: fadeInDown;
-webkit-animation-duration: 1s;
animation-duration: 1s;
-webkit-animation-fill-mode: both;
animation-fill-mode: both;
}

@-webkit-keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

/* Simple CSS3 Fade-in Animation */
@-webkit-keyframes fadeIn { from { opacity:0; } to { opacity:1; } }
@-moz-keyframes fadeIn { from { opacity:0; } to { opacity:1; } }
@keyframes fadeIn { from { opacity:0; } to { opacity:1; } }

.fadeIn {
    opacity:0;
    -webkit-animation:fadeIn ease-in 1;
    -moz-animation:fadeIn ease-in 1;
    animation:fadeIn ease-in 1;

    -webkit-animation-fill-mode:forwards;
    -moz-animation-fill-mode:forwards;
    animation-fill-mode:forwards;

    -webkit-animation-duration:1s;
    -moz-animation-duration:1s;
    animation-duration:1s;
}

.fadeIn.first {
    -webkit-animation-delay: 0.4s;
    -moz-animation-delay: 0.4s;
    animation-delay: 0.4s;
}

.fadeIn.second {
    -webkit-animation-delay: 0.6s;
    -moz-animation-delay: 0.6s;
    animation-delay: 0.6s;
}

.fadeIn.third {
    -webkit-animation-delay: 0.8s;
    -moz-animation-delay: 0.8s;
    animation-delay: 0.8s;
}

.fadeIn.fourth {
    background-color: #939393;
    -webkit-animation-delay: 1s;
    -moz-animation-delay: 1s;
    animation-delay: 1s;
}
.fadeIn.fourth:hover {
    background-color: #939393 !important;
}

/* Simple CSS3 Fade-in Animation */
.underlineHover:after {
    display: block;
    left: 0;
    bottom: -10px;
    width: 0;
    height: 2px;
    background-color: #56baed;
    content: "";
    transition: width 0.2s;
}

.underlineHover:hover {
    color: #0d0d0d;
}

.underlineHover:hover:after{
    width: 100%;
}

/* OTHERS */

*:focus {
    outline: none;
} 

.logo-login {
    width: 160px;
    margin: 20px 0;
}

.img-login {
    width: 50%;
    height: 100vh;
}

.img-login {
    width: 50%;
    height: 100%;
    text-align: right;
}

.img-login img {
    height: 100vh;
    max-width: 100%;
}

.login-row {
    display: block;
    height: 100vh;
}

.submit-login-btn {
    background-color: var(--corporative-color);
    border: 1px solid var(--corporative-color);
    border-radius: 6px;
    color: #ffffff;
    margin-top: 30px;
    margin-bottom: 15px;
    padding: 7px 15px !important;
    font-size: 16px;
    margin-left: auto;
    margin-right: auto;
    font-family: 'Nunito', sans-serif !important;
    width: 240px;
}
    .btn-primary:hover,
    .btn-primary:not(:disabled):not(.disabled).active, 
    .btn-primary:not(:disabled):not(.disabled):active, 
    .show>.btn-primary.dropdown-toggle {
        background-color: var(--corporative-color-light);
        border-color: var(--corporative-color);
        color: var(--corporative-color);
    }

.img-login-phone {
    display: none;
    width: 100%;
}

.copyright {
    position: absolute;
    bottom: 10px;
    color: var(--corporative-color);
    text-align: center;
    font-size: 13px;
    padding-left: 25px;
    padding-right: 25px;
    left: 0;
    right: 0;
}

.form-content form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.login-error {
    text-align: center;
    margin-top: 10px;
    margin-bottom: -20px;
    color: #d0312d;
}

.content-login-logo {
    width: 100%;
    text-align: center;
}

.header {
    position: relative;
    text-align: center;
    /* background: linear-gradient(60deg, rgba(84,58,183,1) 0%, rgba(0,172,193,1) 100%); */
    background: #EEEEEE;
    color: #fff;
}
.content-login {
    background: #fff;
    width: 350px;
    margin: 0 auto;
    max-width: 90%;
    border-radius: 10px;
    padding-bottom: 30px;
    box-shadow: 10px 11px 19px 1px rgb(74 74 74 / 75%);
    -webkit-box-shadow: 10px 11px 19px 1px rgb(74 74 74 / 75%);
    -moz-box-shadow: 10px 11px 19px 1px rgba(74,74,74,0.75);
}

.content-login .btn-primary:hover,
.content-login .btn-primary:active {
    background: var(--corporative-color) !important;
    border-color: var(--corporative-color) !important;
}

.flex {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.inner-header {
    height: 80vh;
    /* height: 65vh; */
    width: 100%;
    margin: 0;
    padding: 0;
}

.content.flex {
    position: relative;
    height: 20vh;
    text-align: center;
    color: var(--corporative-color-text);
    z-index: 2;
    font-weight: 500;
}

@media only screen and (max-width: 650px){
    .wrapper {
        height: 50vh;
        width: 100%;
        align-items: center;
    }
    .img-login {
        display: none;
        width: 100%;
        height: initial;
    }

    .img-login-phone {
        display: initial;
        height: 50vh;
    }

    .img-login-phone img {
        height: 100%;
        width: 100%;
        object-fit: cover;
    }

    .img-login img{
        height: 50vh;
    }

    .login-row {
        flex-direction: column;
    }

    .footer-text span {
        display: block;
    }
}


/* Establecer el tamaño y la posición del fondo */
.background {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    /* z-index: -1; */
    /* background: linear-gradient(-45deg, #2AACE2, #00C4E2, #00D9CF, #00C4E2, #2AACE2); */
    background: var( --corporative-color-light);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
  }
  
  /* Definir la animación */
  @keyframes gradient {
    0% {
      background-position: 0% 50%;
    }
    50% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
  }
  
  /* Establecer la posición y el tamaño del contenido */
  .content-login-form {
    position: absolute;
    top: 37%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #ffffff;
    border-radius: 20px;
    padding: 35px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
  }
  